Update Webhook Custom Auth Credentials

Updates the client_id and client_secret for the OAUTH2_CLIENT_CREDENTIAL and private_key and certificate for the OAUTH2_CLIENT_CREDENTIAl_RFC7523 custom auth functions.

This API added with the 25.2 release of Encompass.

Path Params
string
required
Body Params
string

The custom function client_id. Applicable to OAUTH2_CLIENT_CREDENTIAL templateType only.

string

The custom function client_secret. Applicable to OAUTH2_CLIENT_CREDENTIAL templateType only.

string

The base64 encoded private key from pem file. Applicable to OAUTH2_CLIENT_CREDENTIAL_RFC7523 templateType only.

string

The base64 encoded certificate from cert file. Applicable to OAUTH2_CLIENT_CREDENTIAL_RFC7523 templateType only.

Include only the leaf certificate, Intermediate and Root certs should not be attached.

Headers
string

Bearer token

Responses
200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL